#ifndef __BITV_H
#define __BITV_H

typedef struct bitvec_s {
  char      vec[N];
  int       count;
  int       members;
} bitvec_t;

void bitInit(bitvec_t *vec, int members);

void bitSet(bitvec_t *vec, int bitPos);

void bitClear(bitvec_t *vec, int bitPos);

boolean bitIsSet(bitvec_t *vec, int bitPos);

void bitPrint(bitvec_t *vec);

#endif /* __BITV_H */

